我已经没法忍受了,64位 ubuntu下eclipse频繁崩溃问题

明月照大江 发布于 2012/11/21 22:06
阅读 7K+
收藏 0

前一段时间换回了Ubuntu开始工作,安装jdk,eclipse后,发现eclipse时常崩溃,崩溃情况如下:

打开小窗口的时候会崩溃,比如删除文件,这个时候因为会有一个确认的窗口,比如rename等,只要是这个操作涉及到弹出的窗口,那么eclipse绝对会崩溃。

我目前怀疑问题只有来自三个地方,jdk,eclipse,操作系统。

目前我的jdk版本是1.7,eclipse版本是4.2,ubuntu是12.10

后来我就不用eclipse改用idea了,但是今天因为要学习jfinal,开始出现的问题很多,目前不敢换别的ide来开发,只能老老实实用eclipse,然后我实在无法忍受这个崩溃的问题了。

最后问一下各路大神,有谁碰到过这样的情况,最后是怎么解决的。我现在先去更换jdk,换成1.7的,然后再去更换新的eclipse看看。

以下是问题补充:

@明月照大江:补充 ,出错的日志文件 有两个关键字 一个是 swt 一个是 gtk~ (2012/11/21 22:13)
加载中
0
逝水fox
逝水fox

呃 好像上次和明月在群里说过这个事情...

之前在fedora上把ibus拼音输入法卸载,换成fcitx输入法,然后Eclipse就会在诸如rename,移动文件,打开文件还有个别快捷键时有比较高概率的直接崩溃。因为Google到很多关于fcitx和Eclipse冲突的反馈,重新换回ibus之后就没有再出现。具体log当时没细看。不过系统不完全一样倒是。

明月照大江
明月照大江
好了,卸载了fcitx果断稳定了~
明月照大江
明月照大江
我把fcitx卸载看看
0
Wentasy
Wentasy
jdk版本是1.7,eclipse版本是4.2,ubuntu是12.10,目测版本太新。
明月照大江
明月照大江
我先换eclipse,然后再降jdk的版本,实在不行我只能换操作系统了
0
金大胖
金大胖
jdk6+eclipse3.x+稳定版ubuntu
明月照大江
明月照大江
我去问问其他跟我装一样版本的人看看
0
ddatsh
ddatsh
换WINDOWS
明月照大江
明月照大江
windows好用是好用,但是我还要在linux上写C~虽然可以用虚拟机,但是还是不舒服,以前Ubuntu都没有这个问题的,这次是头一次出现这个问题,我郁闷得很
0
吃土的汉子
吃土的汉子
好多IDE都跟输入法有冲突。不过也不都是坏事,我记得大学时我当时用的Qt Creator跟ibus有冲突,汉语输入法一开个别窗口就没法输入,但是我又懒得折腾输入法,于是后来写代码的时候就把ibus进程关掉,注释都用英文来写,结果后来英文技术面试跟经理讨论题目,那些术语反而不觉的犯为难
明月照大江
明月照大江
回复 @子不语怪力乱神 : 毕竟我这还是学生,写英文注释什么的,水平依然不够~
吃土的汉子
吃土的汉子
回复 @明月照大江 : 哈哈,情况各不一样。如果我现在注释写中文的话估计我要被批斗死了
明月照大江
明月照大江
我还是不习惯用英文写注释,主要是代码是大家一起写的,我们写英文别人不一定喜欢,而且在写代码的时候也有可能干被的事情,主要是eclipse崩溃了很麻烦,我现在换成ibus了,先用用看吧
0
GoingHigh
GoingHigh
jdk版本是1.7,eclipse版本是4.2,ubuntu是12.10
我的是32位的ubuntu12.10,用ibus没出现问题
0
yangxin0917
yangxin0917
哥门,我现在也为这个问题快崩溃了,我的jdk版本是1.7,eclipse版本是4.2,ubuntu是12.10 64位....不知道你现在删除ibus解决问题没有???
明月照大江
明月照大江
我当时是使用fcitx作为输入法才遭遇的问题,后来换回Ibus就没有了
0
c
cwll
我什么开发环境都没有安装,用的fcitx在移动窗口,点击窗口最大化按钮时崩溃发生概率非常大。不知道有什么办法没有。
0
Brokedge
Brokedge

fedora同样~~

可是不想卸掉fcitx~因为ibus太垃圾~

明月照大江
明月照大江
忍忍吧,实在不行上英文吧,ibus也是有各种问题,他们介绍了我使用搜狗的云输入法,网速好的话可以试试这个
0
加贝
加贝
我也遇到了这个问题,只要我打开一个对话框窗口,再确定就直接崩溃了,比如我右键查看一个项目的属性,再确定时不是卡死就是直接退出,本来以为是输入法的问题,我从fcitx换成ibus都是一样,后来我把原来的workspace重命名,再打开Eclipse再导入原项目就没事了,再也不会崩溃了,估计是跟我之前用的Eclipse在workspace下创建的项目有冲突,因为我现在用的是Android SDK中的带ADT插件版Eclipse,这蛋疼的问题让我纠结了好久,关键是有时代码还没来得及保存它就挂了,希望能帮到跟我遇到一样问题的人。
返回顶部
顶部